-- Minimap Functions
function MinimalArchaeology:MinimapButtonReposition()
	MinimalArchaeologyMinimapButton:SetPoint("TOPLEFT","Minimap","TOPLEFT",52-(80*cos(MinimalArchaeologyOptions.MinimapPos)),(80*sin(MinimalArchaeologyOptions.MinimapPos))-52)
end

-- Drag the minimap button
function MinimalArchaeology:MinimapButtonDraggingFrameOnUpdate()

	local xpos,ypos = GetCursorPosition()
	local xmin,ymin = Minimap:GetLeft(), Minimap:GetBottom()

	xpos = xmin-xpos/UIParent:GetScale()+70 -- get coordinates as differences from the center of the minimap
	ypos = ypos/UIParent:GetScale()-ymin-70

	MinimalArchaeologyOptions.MinimapPos = math.deg(math.atan2(ypos,xpos)) -- save the degrees we are relative to the minimap center
	MinimalArchaeology:MinimapButtonReposition() -- move the button
end

-- Hide/Show the minimap button
function MinimalArchaeology:MinimapButtonOnClick(self, button, down)
	if (button == "LeftButton") then
		if (MinimalArchaeologyFrame:IsVisible()) then
			MinimalArchaeologyFrame:Hide();
			MinimalArchaeologyOptions['HideFrame'] = true;
		else
			MinimalArchaeologyFrame:Show();
			MinimalArchaeologyOptions['HideFrame'] = false;
			MinimalArchaeologyHideNext = false;
		end
	elseif (button == "RightButton") then
		InterfaceOptionsFrame_OpenToCategory(MinimalArchaeologyOptionPanel);
	end
end